Loading...
Searching...
No Matches
nedelecbasis.hh File Reference
`#include <array>`
`#include <dune/common/exceptions.hh>`
`#include <dune/grid/common/capabilities.hh>`
`#include <dune/grid/common/mcmgmapper.hh>`
`#include <dune/localfunctions/common/localfiniteelementvariant.hh>`
`#include <dune/localfunctions/nedelec.hh>`
`#include <dune/functions/functionspacebases/defaultglobalbasis.hh>`
`#include <dune/functions/functionspacebases/globalvaluedlocalfiniteelement.hh>`
`#include <dune/functions/functionspacebases/leafprebasismappermixin.hh>`
`#include <dune/functions/functionspacebases/nodes.hh>`

Go to the source code of this file.

## Classes

class | Dune::Functions::NedelecPreBasis< GV, Range, kind, order >
class | Dune::Functions::NedelecNode< GV, Range, kind, order >

## Namespaces

namespace | Dune
namespace | Dune::Functions
namespace | Dune::Functions::BasisFactory

## Typedefs

template<typename GV, std::size_t kind, std::size_t order, typename Range = double>
using | Dune::Functions::NedelecBasis = DefaultGlobalBasis<NedelecPreBasis<GV, Range, kind, order > >
| Basis of a k-th-order Nédélec finite element space.

## Functions

template<std::size_t kind, std::size_t order, typename Range = double>
auto | Dune::Functions::BasisFactory::nedelec ()
| Create a pre-basis factory that can create a Nédélec pre-basis.